#include<iostream>
using namespace std;
int main(){
	long long n, sum=0;
	cin >> n;
	long long i = n;
	while(i > 0){
		sum += i % 10;
		if(i % 10 == 5){
			cout << 2;
		}
		else if(i % 10 == 2){
			cout << 5;
		}
		else if(i % 10 == 0){
			if(sum == 0){
				i /= 10;
				continue;
			}
			else if(sum > 0){
				cout << i % 10;
			}
		}
		else cout << i % 10;
		i /= 10;
	}
}
